%define upstream_name    Term-Choose
%define upstream_version 1.504

%{?perl_default_filter:%perl_default_filter}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Works as L<Term::Choose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::GCString)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Term::Choose::Constants\\)

%description
Choose from a list of elements.

Based on the _choose_ function from the the Term::Clui manpage module - for
more details see the /MOTIVATION manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.504.0-2.mga6
+ Revision: 1033921
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.504.0-1.mga6
+ Revision: 1002307
- update to 1.504

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.208.0-1.mga6
+ Revision: 903253
- new release

* Wed Oct 14 2015 sander85 <sander85> 1.207.0-1.mga6
+ Revision: 891529
- update to 1.207

* Mon Sep 28 2015 sander85 <sander85> 1.205.0-1.mga6
+ Revision: 884815
- update to 1.205

* Mon Jul 06 2015 sander85 <sander85> 1.202.0-1.mga6
+ Revision: 851961
- update to 1.202

* Wed Oct 15 2014 umeabot <umeabot> 1.116.0-5.mga5
+ Revision: 741707
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.116.0-4.mga5
+ Revision: 736315
- add exclude

* Tue Sep 23 2014 tv <tv> 1.116.0-3.mga5
+ Revision: 722232
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.116.0-2.mga5
+ Revision: 686364
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.116.0-1.mga5
+ Revision: 672914
- update to 1.116

* Thu Sep 04 2014 sander85 <sander85> 1.115.0-1.mga5
+ Revision: 671894
- update to 1.115

* Fri Aug 15 2014 sander85 <sander85> 1.114.0-1.mga5
+ Revision: 662577
- update to 1.114

* Sun Aug 03 2014 sander85 <sander85> 1.113.0-1.mga5
+ Revision: 659383
- update to 1.113

* Wed Jul 30 2014 sander85 <sander85> 1.112.0-1.mga5
+ Revision: 658134
- update to 1.112

* Wed Jul 16 2014 sander85 <sander85> 1.111.0-1.mga5
+ Revision: 653197
- update to 1.111

* Sat Jun 28 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 640863
- update to 1.110

* Fri May 23 2014 sander85 <sander85> 1.109.0-1.mga5
+ Revision: 625125
- update to 1.109

* Tue May 06 2014 jquelin <jquelin> 1.108.0-1.mga5
+ Revision: 620764
- update to 1.108

* Tue Apr 15 2014 jquelin <jquelin> 1.107.0-1.mga5
+ Revision: 614997
- update to 1.107

* Tue Mar 25 2014 jquelin <jquelin> 1.105.0-1.mga5
+ Revision: 608429
- update to 1.105

* Fri Mar 14 2014 jquelin <jquelin> 1.104.0-1.mga5
+ Revision: 603736
- update to 1.104

* Thu Mar 13 2014 jquelin <jquelin> 1.103.0-1.mga5
+ Revision: 603014
- update to 1.103

* Mon Feb 24 2014 jquelin <jquelin> 1.74.0-1.mga5
+ Revision: 596365
- update to 1.074

* Mon Oct 21 2013 umeabot <umeabot> 1.64.0-2.mga4
+ Revision: 537571
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.64.0-1.mga4
+ Revision: 487279
- update to 1.064

* Sun Sep 08 2013 sander85 <sander85> 1.61.0-1.mga4
+ Revision: 476112
- update to 1.061

* Sun Aug 25 2013 sander85 <sander85> 1.58.0-1.mga4
+ Revision: 471663
- update to 1.058

* Mon Aug 12 2013 sander85 <sander85> 1.57.0-1.mga4
+ Revision: 465711
- update to 1.057

* Wed Jun 26 2013 jquelin <jquelin> 1.55.0-1.mga4
+ Revision: 447104
- update to 1.055

* Mon Jun 10 2013 jquelin <jquelin> 1.51.0-1.mga4
+ Revision: 441778
- update to 1.051

* Sat Jun 01 2013 takashi <takashi> 1.48.0-2.mga4
+ Revision: 433958
- Upload to 1.048

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 342678
- update to 1.020

* Wed Nov 14 2012 jquelin <jquelin> 1.16.0-1.mga3
+ Revision: 317753
- update to 1.016

* Wed Nov 07 2012 jquelin <jquelin> 1.15.0-1.mga3
+ Revision: 315861
- update to 1.015

* Mon Oct 15 2012 jquelin <jquelin> 1.14.0-1.mga3
+ Revision: 306231
- update to 1.014

* Tue Oct 09 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 303828
- imported package perl-Term-Choose


* Tue Oct 09 2012 cpan2dist 1.012-1mga
- initial mageia release, generated with cpan2dist
